Page MenuHomePhabricator

OpenVPN option for tls-auth
Closed, ResolvedPublicFEATURE REQUEST

Description

To make Crux support an OpenVPN service I use, I need to be able to add tls-auth to the config.

Details

Difficulty level
Easy (less than an hour)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Revisions and Commits

Event Timeline

vindenesen created this task.
vindenesen changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
vindenesen updated the task description. (Show Details)
vindenesen triaged this task as Low priority.Sep 19 2019, 3:48 PM
vindenesen added a commit: Restricted Diffusion Commit.Sep 19 2019, 3:59 PM
This comment was removed by vindenesen.
vindenesen updated the task description. (Show Details)Sep 19 2019, 5:55 PM
syncer moved this task from Need Triage to Finished on the VyOS 1.2 Crux board.Nov 16 2019, 11:45 PM
syncer reopened this task as Backport candidate.Jan 1 2020, 2:14 PM
syncer reassigned this task from vindenesen to jestabro.
syncer moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.

This is not a backport candidate until the full OpenVPN rewrite is backported.

jestabro closed this task as Resolved.Wed, Jan 29, 8:55 PM